Bug 111652 - Lack of PC Speaker support in 2.6
Lack of PC Speaker support in 2.6
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 18:40 EST by Nathan G. Grennan
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 07:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-12-07 18:40:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031129 Galeon/1.3.10

Description of problem:
The PC Speaker support option is disabled. I think it should be
enabled. It is enabled in 2.4 kernels.

I find the PC speaker very useful with xchat. I wrote a patch for
xchat 1 that caused it to beep via the PC speaker when your nick was
highlighted(someone said your nick in channel). This feature was later
included in xchat 2. I did this so friends could easily get my
attention when I wasn't looking at xchat at the time.

I have also noticed it is used by gdm as a audio notification of when
it is finished loading/when you can start trying to login.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test11.1.99

How reproducible:
Always

Steps to Reproduce:
1. Install 2.6 rpm
    

Actual Results:  No PC Speaker support

Expected Results:  PC Speaker support

Additional info:
Comment 1 vvs 2004-03-29 05:45:27 EST
Try: modprobe pcspkr
Comment 2 Dave Jones 2004-03-29 07:31:44 EST
you're running an ancient kernel. This was fixed a long time ago.

Note You need to log in before you can comment on or make changes to this bug.